Bug 1519311 - GRUB2 hangs on some Intel SOCs
Summary: GRUB2 hangs on some Intel SOCs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 15:13 UTC by Mario Limonciello
Modified: 2018-02-14 17:26 UTC (History)
2 users (show)

Fixed In Version: grub2-2.02-22.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-14 17:26:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Debian BTS 883193 0 None None None 2017-11-30 15:33:27 UTC
Launchpad 1734278 0 None None None 2017-11-30 15:17:25 UTC

Internal Links: 1504686

Description Mario Limonciello 2017-11-30 15:13:21 UTC
Description of problem:
On some newer Intel silicon GRUB2 will hang when trying to boot.

How reproducible:
100%

Steps to Reproduce:
1. Try to boot installer

Actual results:
System hangs

Expected results:
System boots

Additional info:
The issue has been fixed upstream.
http://git.savannah.gnu.org/cgit/grub.git/commit/?id=446794de8da4329ea532cbee4ca877bcafd0e534

Comment 1 Fedora Update System 2018-01-17 20:23:17 UTC
grub2-2.02-0.43.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f6166caf0b

Comment 2 Fedora Update System 2018-01-17 20:23:50 UTC
grub2-2.02-20.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 3 Fedora Update System 2018-01-18 01:18:10 UTC
grub2-2.02-0.43.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f6166caf0b

Comment 4 Fedora Update System 2018-01-18 02:11:58 UTC
grub2-2.02-20.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 5 Fedora Update System 2018-01-18 19:23:00 UTC
grub2-2.02-21.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 6 Fedora Update System 2018-01-19 16:34:28 UTC
grub2-2.02-21.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 7 Fedora Update System 2018-01-23 21:37:37 UTC
grub2-2.02-22.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 8 Fedora Update System 2018-01-25 08:36:25 UTC
grub2-2.02-22.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 9 Fedora Update System 2018-01-30 17:32:08 UTC
grub2-2.02-0.43.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-02-14 17:26:46 UTC
grub2-2.02-22.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.